Skip to main content
GET
/
api
/
v1
/
invitations
Get open invitations for an invitee
curl --request GET \
  --url https://api.example.com/api/v1/invitations \
  --header 'x-api-key: <api-key>'
{
  "invitations": [
    {
      "id": "invitation-12345",
      "accountId": "account-12345",
      "attributes": {},
      "clickThroughs": 5,
      "configurationAttributes": {},
      "formSubmissionData": {
        "email": {
          "type": "email",
          "value": "invitee@example.com"
        },
        "personalMessage": {
          "type": "text",
          "value": "Join me on AcmeTasks!"
        },
        "role": {
          "type": "select",
          "value": "admin"
        }
      },
      "createdAt": "2023-10-01T12:00:00Z",
      "deactivated": false,
      "deliveryCount": 3,
      "deliveryTypes": [
        "email",
        "phone"
      ],
      "foreignCreatorId": "creator-12345",
      "invitationType": "single_use",
      "modifiedAt": "2023-10-01T12:00:00Z",
      "status": "queued",
      "target": [
        {
          "type": "email",
          "value": "foo@bar.com"
        }
      ],
      "views": 10,
      "widgetConfigurationId": "widget-12345",
      "widgetId": "widget-uuid",
      "deploymentId": "deployment-12345",
      "scope": "6b366c56-c0a9-4689-b763-20c890481bc8",
      "scopeType": "project",
      "expired": false,
      "source": "email",
      "subtype": "pymk",
      "expires": "2023-11-01T12:00:00Z",
      "metadata": {
        "customerId": "12345",
        "source": "web"
      },
      "passThrough": "eyJhbGciOiJBMjU2R0NNIiwiZW5jIjoiQTI1NkdDTSJ9..."
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vortexsoftware.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

targetValue
string
required

Value of the target for the invitation

Example:

"foo@bar.com"

targetType
enum<string>
required

The means by which the invitee will be identified (email, phone, or internal)

Available options:
email,
phone,
internal

Response

invitations
object[]
required

An array of invitations